package com.miaxis.ge.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 八字格局对象 ge_ju
 *
 * @author miaxis
 * @date 2023-12-08
 */
@Data
@ApiModel(value = "GeJuDto", description = "八字格局对象")
public class GeJuDto extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;


    /** 十神 */
    @ApiModelProperty(value = "十神")
    private String shiShen;

    /** 性别：1男 2:女 3:不限 */
    @ApiModelProperty(value = "性别：1男 2:女 3:不限")
    private String sex;


    /** 身强 身弱 */
    @ApiModelProperty(value = "身强 身弱")
    private String qr;

}
