package com.miaxis.jie.service;

import java.util.Date;
import java.util.List;
import com.miaxis.jie.domain.JieQi;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.jie.vo.JieQiVo;

/**
 * 百年节气Service接口
 *
 * @author miaxis
 * @date 2023-11-27
 */
public interface IJieQiService extends IService<JieQi>{
    /**
     * 查询百年节气列表
     *
     * @param jieQi 百年节气
     * @return 百年节气集合
     */
    public List<JieQi> selectJieQiList(JieQi jieQi);


    /**
     * 查询最近前后两个节气
     * @param birthday
     * @return
     */
    List<JieQiVo> selectJiiQiFb(Date birthday);

}
