package com.miaxis.birthday.service;

import java.util.List;
import com.miaxis.birthday.domain.BirthdayLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 查询记录Service接口
 *
 * @author miaxis
 * @date 2023-12-11
 */
public interface IBirthdayLogService extends IService<BirthdayLog>{
    /**
     * 查询查询记录列表
     *
     * @param birthdayLog 查询记录
     * @return 查询记录集合
     */
    public List<BirthdayLog> selectBirthdayLogList(BirthdayLog birthdayLog);

    boolean saveBirthdayLog(BirthdayLog birthdayLog);
}
